/* 
Theme Name: Répertoire LC (Hello Elementor Child)
Description: Un thème personnalisé développé pour l'École d'optométrie de l'Université de Montréal. (Juin 2021)
Author: SoloCom / CrystalFyre Design
Template: hello-elementor
Text Domain: repertoire-theme
*/

body, html {
	font-family: "Poppins", "Sans-serif";
	font-size: 14px;
	font-weight: 400;
}

.repertoire-theme .elementor-button, .repertoire-theme button {
    padding: 0.65em 2.5em;
}

/* Includes the WPML one */
.elementor-widget-nav-menu .elementor-nav-menu li.menu-item.language > a.elementor-item,
.elementor-widget-nav-menu .elementor-nav-menu li.menu-item.wpml-ls-menu-item > a.elementor-item {
    font-weight: 700;
    font-size: 1em;
    line-height: 1.5;
}


.repertoire-theme .swiper-container-autoheight .swiper-wrapper 
{
	-webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

/* 
I honestly don't remember why I added this, but it's just blowing everything else up for now.
.repertoire-theme *:not(nav):not(.wpml-ls) > ul {
    padding-inline-start: 1.5em;
} */



.repertoire-theme header .elementor-widget-wpml-language-switcher .wpml-ls-legacy-list-horizontal {
    border: 0;
    padding: 0;
}

.repertoire-theme header .elementor-widget-wpml-language-switcher .wpml-ls-legacy-list-horizontal.wpml-ls-statics-footer {
    margin-bottom: 0;
}



/* Square-ing off the round hamburger. We got square patties! */
.square-burger,
.square-burger > .elementor-widget-container,
.square-burger .elementor-menu-toggle {
    height: 100%;
}

.square-burger .elementor-menu-toggle {
    width: 100%;
}

.square-burger .elementor-menu-toggle > .eicon-menu-bar {
	display: block;
	background: rgb(255,255,255);
	background: linear-gradient(180deg, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 19.75%, rgba(255,255,255,0) 20.25%, rgba(255,255,255,0) 39.75%, rgba(255,255,255,1) 40.25%, rgba(255,255,255,1) 59.75%, rgba(255,255,255,0) 60.25%, rgba(255,255,255,0) 79.75%, rgba(255,255,255,1) 80.25%, rgba(255,255,255,1) 100%);
	width: 7.16vw;
	height: 6.25vw;
	max-height: 28px;
	max-width: 32px;
}

.square-burger .elementor-menu-toggle > .eicon-menu-bar:before {
	content: none !important;
}
/* .square-burger .elementor-menu-toggle > .eicon-menu-bar,
.square-burger .elementor-menu-toggle > .eicon-menu-bar:before,
.square-burger .elementor-menu-toggle > .eicon-menu-bar:after {
    background-color: white;
    display: block;
    position: relative;
    width: 9vw;
    height: 0.8vh;
    max-width: 48px;
} */

/* .square-burger .elementor-menu-toggle > .eicon-menu-bar {
    height: 0.8vh;
} */

/* .square-burger .elementor-menu-toggle > .eicon-menu-bar:before {
    content: "";
    top: -1.6vh;
}

.square-burger .elementor-menu-toggle > .eicon-menu-bar:after {
    content: "";
    bottom: -0.8vh;
} */

.square-burger .elementor-nav-menu--dropdown.elementor-nav-menu__container {
    margin-top: 0 !important;
    border-top: 1px solid #C5DEF4;
}

.square-burger.elementor-element .elementor-nav-menu--dropdown .elementor-nav-menu li.secondaire {
    border-bottom-width: 0 !important;
}

.square-burger.elementor-element .elementor-nav-menu--dropdown .elementor-nav-menu li.secondaire:not(.language) > a {
    font-weight: 400;
}

.square-burger.elementor-element .elementor-nav-menu--dropdown .elementor-nav-menu li.bouton {
	text-align: center;
}

.square-burger.elementor-element .elementor-nav-menu--dropdown .elementor-nav-menu li.bouton > a.elementor-item {
    background-color: var( --e-global-color-accent );
    display: inline-block;
    margin: auto 0;
    padding: 0.5em 2em;
    border-radius: 50px;
    font-weight: 400;
    margin-top: 1em;
    margin-bottom: 2em;
}

.square-burger.elementor-element .elementor-nav-menu--dropdown .elementor-nav-menu li:not(.secondaire) + .secondaire {
    margin-top: 1em;
}


/* Preventing a weird style load order issue that makes things look purple momentarily. */
.repertoire-theme .eael-elements-flip-box-front-container, .repertoire-theme .eael-elements-flip-box-rear-container {
	background: white;
}


.square-burger .elementor-menu-toggle > .elementor-menu-toggle__icon--close {
	font-size: clamp(20px, 8.13vw, 40px);
}



/* Apparently this was a bad idea...
.repertoire-theme #breadcrumbs .breadcrumb_last {
    white-space: nowrap;
} */